//======================================================
//==输入帐号资料的时候，某些内容不能为空
//======================================================
function UserAccountInputValidate()
{
	var WarnPassword=true
	var oIgnorePasswordCheckbox=document.getElementById("checkIgnorePassword");
	
	if (oIgnorePasswordCheckbox!=null)
	{
		if (oIgnorePasswordCheckbox.checked==true)
		{
			WarnPassword=false;
		}
	}
	
	if (EmpotyInputValidate(document.getElementById("textName"),"User Name")==false) {return false;}
	if (WarnPassword==true) {if (EmpotyInputValidate(document.getElementById("textPassword"),"Password")==false) {return false;}}
	if (EmpotyInputValidate(document.getElementById("textEmail"),"Email Address")==false) {return false;}
	if (EmailAddressValidate(document.getElementById("textEmail"),"["+document.getElementById("textEmail").value+"]")==false) {return false;}
}
